# Testsuite needs human interaction.
%bcond_with test

%global common_sum Provides system tray integration
%global common_desc This library allows you to create a system tray icon.

%global upname pystray


Name:		python-%{upname}
Version:	0.19.5
Release:	%mkrel 4
Summary:	%{common_sum}
Group:		Development/Python
License:	LGPLv3+
URL:		https://github.com/moses-palmer/%{upname}
Source0:	%{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# fix such that the package requires typelib(AyatanaAppIncator3)
Patch0:		0001-fix-appindicator.patch
BuildArch:	noarch

%description
%{common_desc}


%package -n python3-%{upname}
Summary:	%{common_sum}

BuildRequires:	python3-devel
BuildRequires:	python3-pillow
BuildRequires:	python3-setuptools
BuildRequires:	python3-six
BuildRequires:	python3-pytest
BuildRequires:	python3-xlib >= 0.17

Requires:	python3-pillow
Requires:	python3-six
Requires:	python3-xlib		>= 0.17

%{?python_provide:%python_provide python3-%{upname}}

%description -n python3-%{upname}
%{common_desc}


%package -n python3-%{upname}-doc
Summary:	Documentation-files for python3-%{upname}

BuildRequires:	fdupes
BuildRequires:	python3-sphinx >= 1.3.1

%description -n python3-%{upname}-doc
This package contains the Documentation-files for python3-%{upname}.


%prep
%autosetup -n %{upname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

sphinx-build-3 docs docs/build-%{python3_version}/html
%fdupes -s docs/build-%{python3_version}
for f in .buildinfo .doctrees .inv ; do
	%{_bindir}/find docs/ -name "*${f}*" -print0 |			\
		%{_bindir}/xargs -0 rm -frv
done


%install
%pyproject_install
%pyproject_save_files pystray

%if %{with test}
%check
%pytest
%endif # with test


%files -n python3-%{upname}-doc
%license COPYING*
%doc README.rst

%files -n python3-%{upname} -f %{pyproject_files}
%doc CHANGES.rst docs/build-%{python3_version}/html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.19.5-4.mga10
+ Revision: 2241287
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.19.5-3.mga10
+ Revision: 2158481
- rebuild for python3.13

* Tue Jan 09 2024 papoteur <papoteur> 0.19.5-2.mga10
+ Revision: 2029298
- sync patch
- fix to requires AyatanaAppIndicator3

* Tue Jan 09 2024 papoteur <papoteur> 0.19.5-1.mga10
+ Revision: 2029278
- rebuild for python 3.12
- new version 0.19.5
- use pyproject macros

* Wed Apr 06 2022 umeabot <umeabot> 0.17.3-3.mga9
+ Revision: 1845992
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 0.17.3-2.mga9
+ Revision: 1775693
- rebuild for python-3.10

* Tue Aug 31 2021 wally <wally> 0.17.3-1.mga9
+ Revision: 1743823
- new version 0.17.3

* Sat Apr 10 2021 ngompa <ngompa> 0.17.1-2.mga9
+ Revision: 1714601
- Rebuild for Python 3.9

* Fri Oct 09 2020 anaselli <anaselli> 0.17.1-1.mga8
+ Revision: 1633045
- 0.17.1

* Wed Aug 05 2020 wally <wally> 0.16.0-2.mga8
+ Revision: 1611332
- port to Ayatana AppIndicator

* Mon Aug 03 2020 anaselli <anaselli> 0.16.0-1.mga8
+ Revision: 1610847
- new version 0.16.0

* Sun Feb 16 2020 umeabot <umeabot> 0.14.3-11.mga8
+ Revision: 1535323
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.14.3-10.mga8
+ Revision: 1451729
- rebuild with python 3.8

* Fri Apr 26 2019 ngompa <ngompa> 0.14.3-9.mga7
+ Revision: 1395545
- Adapt for Mageia
- imported package python-pystray


* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 11 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.14.3-7
- Python2 binary package has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.14.3-5
- Rebuilt for Python 3.7

* Wed Feb 28 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.14.3-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Thu Mar 30 2017 Björn Esser <besser82@fedoraproject.org> - 0.14.3-1
- New upstream release (rhbz#1437277)

* Wed Mar 29 2017 Björn Esser <besser82@fedoraproject.org> - 0.14.2-1
- Initial import (rhbz#1436347)

* Tue Mar 28 2017 Björn Esser <besser82@fedoraproject.org> - 0.14.2-0.2
- Added versioned (Build)Requires

* Mon Mar 27 2017 Björn Esser <besser82@fedoraproject.org> - 0.14.2-0.1
- New upstream release

* Mon Mar 27 2017 Björn Esser <besser82@fedoraproject.org> - 0.14.1-0.1
- Initial rpm-release (rhbz#1436347)
